View Issue Details

IDProjectCategoryView StatusLast Update
0027387mantisbtadministrationpublic2020-10-27 14:56
Reporterdregad Assigned Todregad  
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Product Version2.17.0 
Target Version2.25.0Fixed in Version2.25.0 
Summary0027387: Manage user page table footer is displayed even when empty
Description

When there are fewer than 50 users in the database, the page navigation controls are not shown, which results in an empty table footer being displayed.

The attached screenshots illustrate the problem.

Additional Information

Regression introduced when the user search was moved to the top of the form (see 0012677, MantisBT master 5fa99c07)

TagsNo tags attached.

Relationships

related to 0012677 closedatrol Please change a search option to manage users 

Activities

dregad

dregad

2020-10-10 09:38

developer  

50_users_or_less.png (22,341 bytes)   
50_users_or_less.png (22,341 bytes)   
more_than_50_users.png (15,083 bytes)   
more_than_50_users.png (15,083 bytes)   
atroladmin

atroladmin

2020-10-10 12:00

administrator   ~0064538

Similar behaviour on Manage Tags page (manage_tags_page.php) when displaying <= 20 tags.

dregad

dregad

2020-10-11 04:21

developer   ~0064539

Thanks @atrol I'll fix that one too while I'm at it.

dregad

dregad

2020-10-11 04:22

developer   ~0064540

Last edited: 2020-10-11 05:30

View 2 revisions

PR https://github.com/mantisbt/mantisbt/pull/1707

Related Changesets

MantisBT: master 247b2ef3

2020-10-11 04:12:12

dregad


Committer: atrol Details Diff
Display footer only when page navigation is needed

- In manage user page, the navigation controls are only displayed in the
section footer when there is more than one page. Issue 0012677 moved
the search form to the header, resulting in an empty footer div when
there are 50 users or less.
- In manage tags page, the navigation controls are only displayed in the
section footer when there is more than one page, resulting in an empty
footer div when there are 20 tags or less.

The footer div in the above pages is now hidden when there is only one
page worth of data.

Fixes 0027387
Affected Issues
0012677, 0027387
mod - manage_tags_page.php Diff File
mod - manage_user_page.php Diff File

Issue History

Date Modified Username Field Change
2020-10-10 09:38 dregad New Issue
2020-10-10 09:38 dregad File Added: 50_users_or_less.png
2020-10-10 09:38 dregad File Added: more_than_50_users.png
2020-10-10 09:38 dregad Relationship added related to 0012677
2020-10-10 12:00 atroladmin Note Added: 0064538
2020-10-11 04:21 dregad Assigned To => dregad
2020-10-11 04:21 dregad Status new => assigned
2020-10-11 04:21 dregad Note Added: 0064539
2020-10-11 04:21 dregad Target Version => 2.25.0
2020-10-11 04:22 dregad Note Added: 0064540
2020-10-11 05:30 atrol Note Edited: 0064540 View Revisions
2020-10-27 14:56 atrol Changeset attached => MantisBT master 247b2ef3
2020-10-27 14:56 dregad Status assigned => resolved
2020-10-27 14:56 dregad Resolution open => fixed
2020-10-27 14:56 dregad Fixed in Version => 2.25.0